# Review: https://bugzilla.redhat.com/show_bug.cgi?id=448236

Name:           xfbib
Version:        0.0.2
Release:        11%{?dist}
Summary:        Lightweight BibTeX editor for the Xfce desktop environment
Summary(de):    Schlanker BibTeX Editor für die Xfce Desktop-Umgebung

Group:          Applications/Editors
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:         xfbib-0.0.2-aarch64.patch

BuildRequires:  gtk2-devel >= 2.10
BuildRequires:  libxfcegui4-devel >= 4.4.0
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

%description
Xfbib is a lightweight BibTeX editor developed for the Xfce desktop 
environment. The intention of Xfbib is to provide an easy and efficient way 
of editing BibTeX files. 

%description -l de
Xfbib ist ein schlanker BibTex Editor, der für die Xfce Desktop-Umgebung 
entwickelt wird. Das Ziel von Xfbib ist es, einen einfachen und effizienten 
Weg zum Bearbeiteiten von BibTeX Dateien zur Verfügung zu stellen.


%prep
%setup -q
%patch0 -p1 -b .aarch64
sed -i 's|Terminal=0|Terminal=false|g' xfbib.desktop


%build
%configure --disable-static
make %{?_smp_mflags} install='INSTALL -p'


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{name}

desktop-file-install \
    %if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
    --vendor fedora \
    %else
    --vendor="" \
    %endif
    --add-category X-Xfce \
    --remove-category Application \
    --remove-key Encoding \
    --remove-key GenericName \
    --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/*%{name}.desktop

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 10 2013 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.2-10
- Make desktop vendor conditional
- Add aarch64 support (#926768)
- Spec file clean-up
- Update scriptlets

* Sun Feb 10 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.0.2-9
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 0.0.2-7
- Rebuild for Xfce 4.10

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.0.2-5
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat May 24 2008 Christoph Wickert <fedora christoph-wickert de> - 0.0.2-1
- Initial Fedora package
